Skip to main content
POST
/
v2
/
workspaces
/
{workspaceId}
/
users
Add users to a workspace
curl --request POST \
  --url https://api.pelanor.io/v2/workspaces/{workspaceId}/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "users": [
    {
      "email": "<string>"
    }
  ]
}
'
import requests

url = "https://api.pelanor.io/v2/workspaces/{workspaceId}/users"

payload = { "users": [{ "email": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({users: [{email: '<string>'}]})
};

fetch('https://api.pelanor.io/v2/workspaces/{workspaceId}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}
Attaches an existing user to a workspace.
This endpoint will not invite or add users that are new to this organization. Use the Invite User endpoint instead.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceId
string
required

Body

application/json
users
object[]

Response

A successful response.

The response is of type object.